import { jsx as _jsx } from "react/jsx-runtime";
import { createContext } from 'react';
export const CSSClassesResolverContext = /*#__PURE__*/ createContext(undefined);
export function sanitizeClassName(...raw) {
    return raw.filter((c)=>c && typeof c === 'string').join(' ').replaceAll('\n', '').replaceAll(/\s+/g, ' ').trim();
}
export function defaultCSSClassesResolver(...klasses) {
    return sanitizeClassName(...klasses.flat(Number.MAX_VALUE).filter(Boolean));
}
export function CSSClassResolver({ resolver, children }) {
    const currentResolver = resolver ?? defaultCSSClassesResolver;
    return /*#__PURE__*/ _jsx(CSSClassesResolverContext.Provider, {
        value: currentResolver,
        children: children
    });
}
