import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useContext } from 'react';
import { CSSClassesResolverContext } from './classes-resolver.js';
import { SvgCloseIcon } from './svg.js';
export function Presenter(_props) {
    const resolveClasses = useContext(CSSClassesResolverContext);
    return /*#__PURE__*/ _jsxs("div", {
        "data-freya-id": "presenter:container",
        className: resolveClasses('freya@presenter js@hidden'),
        children: [
            /*#__PURE__*/ _jsx("div", {
                className: resolveClasses('freya@presenter__overlay')
            }),
            /*#__PURE__*/ _jsx("div", {
                className: resolveClasses('freya@presenter__contents'),
                children: /*#__PURE__*/ _jsxs("section", {
                    "data-freya-id": "presenter",
                    className: resolveClasses('freya@presenter__layout'),
                    children: [
                        /*#__PURE__*/ _jsxs("div", {
                            className: resolveClasses('freya@presenter__header'),
                            children: [
                                /*#__PURE__*/ _jsxs("div", {
                                    className: resolveClasses('freya@presenter__header__controls'),
                                    children: [
                                        /*#__PURE__*/ _jsx("span", {
                                            "data-freya-id": "presenter:progress",
                                            className: resolveClasses('freya@presenter__header__text'),
                                            children: "00/00"
                                        }),
                                        /*#__PURE__*/ _jsx("a", {
                                            "data-freya-id": "presenter:reset",
                                            href: "#",
                                            className: resolveClasses('freya@presenter__header__action freya@presenter__timer__button'),
                                            children: "🔄"
                                        }),
                                        /*#__PURE__*/ _jsx("a", {
                                            "data-freya-id": "presenter:toggle",
                                            href: "#",
                                            className: resolveClasses('freya@presenter__header__action freya@presenter__timer__button'),
                                            children: "⏯️"
                                        }),
                                        /*#__PURE__*/ _jsx("span", {
                                            "data-freya-id": "presenter:time",
                                            className: resolveClasses('freya@presenter__header__text freya@presenter__timer__time'),
                                            children: "00:00"
                                        })
                                    ]
                                }),
                                /*#__PURE__*/ _jsx("a", {
                                    "data-freya-id": "presenter:close",
                                    href: "#",
                                    className: resolveClasses('freya@presenter__close'),
                                    children: /*#__PURE__*/ _jsx(SvgCloseIcon, {
                                        className: resolveClasses('freya@presenter__close__image')
                                    })
                                })
                            ]
                        }),
                        /*#__PURE__*/ _jsx("div", {
                            "data-freya-id": "presenter:current",
                            className: resolveClasses('freya@presenter__slide--current')
                        }),
                        /*#__PURE__*/ _jsx("div", {
                            "data-freya-id": "presenter:next",
                            className: resolveClasses('freya@presenter__slide--preview freya@presenter__slide--next')
                        }),
                        /*#__PURE__*/ _jsx("div", {
                            "data-freya-id": "presenter:notes",
                            className: resolveClasses('freya@presenter__notes'),
                            children: "Presenter notes"
                        })
                    ]
                })
            })
        ]
    });
}
