import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useContext } from 'react';
import { CSSClassesResolverContext } from './classes-resolver.js';
import { SvgCloseIcon } from './svg.js';
export function SlidesList({ count }) {
    const resolveClasses = useContext(CSSClassesResolverContext);
    const slides = [];
    for(let i = 0; i < count; i++){
        slides.push(i);
    }
    return /*#__PURE__*/ _jsxs("section", {
        "data-freya-id": "list:container",
        className: resolveClasses('freya@slides js@hidden'),
        children: [
            /*#__PURE__*/ _jsx("div", {
                className: resolveClasses('freya@slides__overlay')
            }),
            /*#__PURE__*/ _jsxs("div", {
                "data-freya-id": "list:scrollview",
                className: resolveClasses('freya@slides__contents'),
                children: [
                    /*#__PURE__*/ _jsx("a", {
                        "data-freya-id": "list:close",
                        href: "#",
                        className: resolveClasses('freya@slides__close'),
                        children: /*#__PURE__*/ _jsx(SvgCloseIcon, {
                            className: resolveClasses('freya@slides__close__image')
                        })
                    }),
                    /*#__PURE__*/ _jsx("nav", {
                        "data-freya-id": "list",
                        className: resolveClasses('freya@slides__list'),
                        children: slides.map((index)=>{
                            return /*#__PURE__*/ _jsxs("div", {
                                "data-freya-id": "list:slide-wrapper",
                                "data-freya-index": index + 1,
                                className: resolveClasses('freya@slides__wrapper'),
                                children: [
                                    /*#__PURE__*/ _jsx("div", {
                                        "data-freya-id": "list:slide-placeholder",
                                        className: resolveClasses('js@slide js@slides__wrapper--active')
                                    }),
                                    /*#__PURE__*/ _jsx("span", {
                                        className: resolveClasses('freya@slides__wrapper__number'),
                                        children: index + 1
                                    })
                                ]
                            }, `slides-list:${index}`);
                        })
                    })
                ]
            })
        ]
    });
}
