import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { serializeCSSClasses } from 'dante';
export function body({ context, talk, talkAssets, themeAssets }) {
    const resolveClasses = context.extensions.freya.resolveClasses;
    return /*#__PURE__*/ _jsxs("main", {
        className: resolveClasses('freya@assets'),
        children: [
            /*#__PURE__*/ _jsx("h1", {
                className: resolveClasses('freya@assets__title'),
                children: talk.document.title
            }),
            /*#__PURE__*/ _jsx("h2", {
                className: resolveClasses('freya@assets__header'),
                children: "Talk Assets"
            }),
            /*#__PURE__*/ _jsx("section", {
                className: resolveClasses('freya@assets__section'),
                children: talkAssets.map(([path, url])=>{
                    return /*#__PURE__*/ _jsxs("figure", {
                        className: resolveClasses('freya@assets__figure'),
                        "data-freya-asset-id": `@talk/${path}`,
                        children: [
                            /*#__PURE__*/ _jsx("div", {
                                className: resolveClasses('freya@assets__figure__image-wrapper'),
                                children: /*#__PURE__*/ _jsx("img", {
                                    src: url,
                                    className: resolveClasses('freya@assets__figure__image')
                                })
                            }),
                            /*#__PURE__*/ _jsx("figcaption", {
                                className: resolveClasses('freya@assets__figure__caption'),
                                children: path
                            })
                        ]
                    }, path);
                })
            }),
            /*#__PURE__*/ _jsx("h2", {
                className: resolveClasses('freya@assets__header'),
                children: "Theme Assets"
            }),
            /*#__PURE__*/ _jsx("section", {
                className: resolveClasses('freya@assets__section'),
                children: themeAssets.map(([path, url])=>{
                    return /*#__PURE__*/ _jsxs("figure", {
                        className: resolveClasses('freya@assets__figure'),
                        "data-freya-asset-id": `@theme/${path}`,
                        children: [
                            /*#__PURE__*/ _jsx("div", {
                                className: resolveClasses('freya@assets__figure__image-wrapper'),
                                children: /*#__PURE__*/ _jsx("img", {
                                    src: url,
                                    className: resolveClasses('freya@assets__figure__image')
                                })
                            }),
                            /*#__PURE__*/ _jsx("figcaption", {
                                className: resolveClasses('freya@assets__figure__caption'),
                                children: path
                            })
                        ]
                    }, path);
                })
            })
        ]
    });
}
export function page(context, bodyClassName) {
    const copyAssetScript = `
    document.addEventListener('DOMContentLoaded', () => {
      for (const link of document.querySelectorAll('[data-freya-asset-id]')) {
        link.addEventListener('click', e => {
          e.preventDefault()

          navigator.clipboard.writeText(e.currentTarget.getAttribute('data-freya-asset-id')).catch(console.error)
        }, false)
      }
    })
  `;
    return /*#__PURE__*/ _jsxs("html", {
        lang: "en",
        children: [
            /*#__PURE__*/ _jsxs("head", {
                children: [
                    /*#__PURE__*/ _jsx("meta", {
                        charSet: "utf-8"
                    }),
                    /*#__PURE__*/ _jsx("meta", {
                        name: "viewport",
                        content: "width=device-width, initial-scale=1"
                    }),
                    /*#__PURE__*/ _jsx("title", {
                        children: "Slidesets"
                    }),
                    /*#__PURE__*/ _jsx("link", {
                        rel: "preload",
                        as: "font",
                        crossOrigin: "anonymous",
                        href: "https://fonts.gstatic.com/s/varelaround/v20/w8gdH283Tvk__Lua32TysjIfp8uPLdshZg.woff2"
                    }),
                    /*#__PURE__*/ _jsx("style", {
                        ...serializeCSSClasses(context)
                    }),
                    /*#__PURE__*/ _jsx("script", {
                        dangerouslySetInnerHTML: {
                            __html: copyAssetScript
                        }
                    })
                ]
            }),
            /*#__PURE__*/ _jsx("body", {
                className: bodyClassName,
                children: "@BODY@"
            })
        ]
    });
}
